<?php
include_once("c_esmo_setting_group_of_personal.php");
class c_page_cab_esmo_setting_group_of_personal_db extends c_page_cab_esmo_setting_group_of_personal
{
 public $h1='Группа персонала - Исходные данные' ;

 function select_obj_info()
 { parent::select_obj_info() ;
   if ($this->rec_group['pkey']) $this->h1.='" - Исходные данные' ;
 }

    function block_main()
      { $this->page_title() ;
        PERSONAL()->sync_personals_group_filter($this->rec_group['id']) ;

        damp_array($this->rec_group,1,-1) ;

	      $recs=get_arr_links_recs($this->rec_group,array()) ;
	 	    $recs_by_clss=group_by_clss($recs) ;
	 	    if (_sizeof($recs_by_clss)) foreach($recs_by_clss as $clss=>$recs_clss)
	        { ?><h2>linked obj clss=<?echo $clss?></h2><?
		      print_2x_arr($recs_clss) ;

	        }

            $arr=PERSONALS_FILTER()->get_personals_filter_to_item($this->rec_group['_reffer']) ;
	 	    damp_array($arr,1,-1);
      }


}



?>
